
Redmine - Feature #3221

Fetch Emails : ability to set Start Date

2009-04-22 19:55 - Digital Base

Status: Closed Start date: 2009-04-22

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Email receiving Estimated time: 0.30 hour

Target version:    

Resolution: Duplicate   

Description

We are using the redmine receiving emails functionality (http://www.redmine.org/wiki/redmine/RedmineReceivingEmails) to create

tickets, but we would like to be able to set the "Start date & due date" of an issue.

I tried adding the allow_override=Start,Due but it doesn't seem to parse the Start date but only use the current time when creating

new issue.

History

#1 - 2009-06-04 18:13 - Anonymous

+1 I would like to be able to set the Due Date also.  But perhaps I am just passing in the date incorrectly.  If I send in the value 6/4/2009 does

Redmine accept it in that form (June 4, 2009)?

#2 - 2009-06-05 16:00 - Anonymous

I was just passing in the date incorrectly.  June 4, 2009 should be represented in the format 2009-06-04 (which I picked up from just looking at how

the date was formatted in a date field...).  When I formatted as such all was well when updating the date via e-mail.

#3 - 2009-09-04 06:03 - Mark P

I set my script to allow_override=start and specified start: mm/dd/yyyy and yyyy-mm-dd.  Neither format will set the start date, but all other field

overrides work fine, including custom fields.  The date settings for my instance are set to match the language set by the user.  Not sure if I need to

specify that for the format.  I am using Redmine 0.8.3, rails 2.1.2, ruby 1.8.7, gems 1.3.1, mysql 5.0.45, CentOS 5.2.

#4 - 2010-03-10 06:21 - Oleg Volkov

When I create a issue with receiving email field start turns blank.

You can insert the date of receiving email?

Version = 0.9.3

#5 - 2010-03-19 15:08 - Marijn hofstra

I am using redmine 0.8 and am having the same issue. If I create a custom date field and send the email text "Datefield: yyyy-mm-dd" it works, if I try

that with the start and due date, it doesn't work. Am I correct in assuming that I have to send "Start: yyyy-mm-dd" and "Due: yyyy-mm-dd"? I've tried

quite a few field names without success...

Nick, could you please elaborate a bit on your version of redmine and the settings you use?

#6 - 2010-03-23 12:04 - Sebastian Mehner

I'm using Redmine 0.9.2 and also would like to request that emailed issues automatically get a start date when created - just like issues created by

hand. Managing new issues without knowing when they were created is really hard.

#7 - 2011-11-28 05:07 - Mischa The Evil

- Category changed from Issues to Email receiving

#8 - 2016-01-11 03:12 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #5595 (Redmine 1.0.0 (RC)).
